int-dom.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Linear::SupportSet
| Set for support information More...
class | Gecode::Int::Linear::SupportIter< Val >
| Base-class for support-based iterator. More...
class | Gecode::Int::Linear::PosSupportIter< Val >
| Support-based iterator for positive view. More...
class | Gecode::Int::Linear::NegSupportIter< Val >
| Support-based iterator for negative view. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Linear
| Linear propagators